
From: Hanna Linder <hannal@us.ibm.com>

Signed-off-by: Hanna Linder <hannal@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Alexey Dobriyan <adobriyan@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/pci/acpi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/pci/acpi.c~arch-i386-pci-acpic-use-for_each_pci_dev arch/i386/pci/acpi.c
--- devel/arch/i386/pci/acpi.c~arch-i386-pci-acpic-use-for_each_pci_dev	2005-09-14 22:08:00.000000000 -0700
+++ devel-akpm/arch/i386/pci/acpi.c	2005-09-14 22:08:00.000000000 -0700
@@ -54,7 +54,7 @@ static int __init pci_acpi_init(void)
 		 * don't use pci_enable_device().
 		 */
 		printk(KERN_INFO "PCI: Routing PCI interrupts for all devices because \"pci=routeirq\" specified\n");
-		while ((dev = pci_get_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL)
+		for_each_pci_dev(dev)
 			acpi_pci_irq_enable(dev);
 	} else
 		printk(KERN_INFO "PCI: If a device doesn't work, try \"pci=routeirq\".  If it helps, post a report\n");
_
